#
# spec file for package pik
#
# Copyright (c) 2025 mantarimay
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without test
Name:           pik
Version:        0.18.1
Release:        1.1
Summary:        Process Interactive Kill
License:        MIT
URL:            https://github.com/jacek-kurlit/pik
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging

%description
Process Interactive Kill is a command line tool that helps to find and kill
process. It works like pkill command but search is interactive.

%prep
%autosetup -a1 -p1

%build
%{cargo_build}

%install
install -Dm755 target/release/%{name} -t %{buildroot}%{_bindir}

%if %{with test}
%check
%{cargo_test}
%endif

%files
%license LICEN*
%doc README*
%{_bindir}/%{name}

%changelog
* Sat Mar 15 2025 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.18.1:
  * Allow to configure the colors of the UI
  * ui enums accept both snake_case and PascalCase
  * added new key mappings
  * New ignore path options allowing to reduce amount of displayed
    processes
* Wed Feb  5 2025 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.15.0:
  * added new keymaps for text manipulation
  * add keymapings for selecting process parent/family/siblings
* Sun Dec  8 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.12.0:
  + Bugs fixes
  - Fix incorrect start time, enforce deterministic ports order
  + New Features
  - Highlight for cmd, path and ports
  - args fuzzy highlight
- Removed cargo_audit from _service due that contains vendor now
* Sat Nov  9 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.10.0
  + Bugs fixes
  - Fixed empty query for ports args and paths
  + New Features
  - Added sorting search results by match score
* Wed Oct  9 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.9.0
  + New Features
  - Support vim-like key bindings for navigation
  - add ctrl+arrow up/ctrl+arrow down keybinding to go first/end
    row
* Sat Oct  5 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.8.0
  + Bugs fixes
  - fixed failing tests - removed fuzzy search from args
  + New Features
  - Add fuzzy search for Path type of queries
  - Add configuration
  - Add fuzzy search for Cmd, Ports, and Args
* Tue Sep 24 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.7.0
  + Bugs fixes
  - Fix infinite scroll in process details area
  + New Features
  - Add cli arguments to configure the viewport size
  - Add faster scrolling: jump over 10 lines when pressing
    PgUp/PgDown
* Wed Sep 18 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.6.4
  + feature
  - added sarch by pid and process family
  - feat: Quit program with ctrl+c
* Tue Aug 27 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Update to version 0.6.3
  + feature
  - Added refresh on demand
  + optimization
  - cache refresh and table rendering improvement
  + chore
  - added integration test for searching processes
  - added text area input from third party
* Thu Aug 15 2024 Muhammad Akbar Yanuar Mantari <mantarimay@pm.me>
- Initial package
